Auto Multiple Choice - Bug # 873: Probleme de rafraichissement apres saisie automatique des scans

Status: Closed Priority: Normal
Author: Jean-Baptiste BUTEAUD Category:

Created: 03/13/2023 Assignee:

Updated: 06/05/2025 Due date:

Description: Bonjour,

Je suis sur Ubuntu 22.04 Gnome avec la version AMC 1.6.0 du dépb6t ppa:alexis.bienvenue/amc et j'ai un
petit soucis :

Apres avoir importé mes scans, ces derniers n'apparaissent jamais apres leur traitement. Pour les faire
apparaitre, je dois a chaque fois ré-ouvrir le projet.

Je mets en piéce jointe une petit vidéo qui sera plus parlante.

Merci par avance pour vos lumiéres !

History

03/14/2023 12:41 pm - Alexis Bienveniie
Pouvez-vous effectuer une saisie automatique en mode débogage (depuis le menu _Aide ), et poster le fichier @log@ produit@ ?

03/14/2023 06:00 pm - Jean-Baptiste BUTEAUD
- File AMC-DEBUG.log added

Bonjour,

Voici le log en piece jointe.

Le log fini par :

*** unhandled exception in callback:

*** Can't locate object method "new" via package "AMC::Decoder::register::Barcode" (perhaps you forgot to load "AMC::Decoder::register::Barcode"?)
at /usr/share/perl5/AMC/Gui/Main.pm line 3528.

*kk

ignoring at /usr/share/perl5/Gtk3.pm line 572.

En vous remerciant

03/22/2023 04:13 pm - Frédéric Breéal

Je n'ai pas ce souci avec la version 1.6.0+git20230309101827 ; je n'utilise pas de code-barre ni AMCCode. Par contre, je viens de découvrir ce bog
pour des copies écrasées en faisant le test #874.

Les copies sont écrasées, c'est bien écrit overwritten dans la sortie de commandes mais la copie n'apparait pas. Dois-je faire un rapport de débogage
ou celui joint est suffisant ?

03/23/2023 04:06 pm - Frédéric Bréal

- File AMC-DEBUG-bug.log added

J'ai fait un rapport de bogue en essayant de recharger le projet sans fermer AMC.

04/25/2023 12:45 pm - Alexis Bienveniie

> Can't locate object method "new" via package "AMC::Decoder::register::Barcode" (perhaps you forgot to load "AMC::Decoder::register::Barcode"?)
Est-ce que vous pouvez essayer avec la derniére version (1.6.0+git20230425120755-1) du dép6t test ? Il me semble que la modification
git:1b01769034274b devrait arranger les choses.

04/26/2023 08:56 pm - Frédéric Bréal

Je viens de modifier manuellement le fichier Main.pm mais j'ai toujours le probleme d'avertissement d'AMC sur |'absence d'’AMCcodegrid (post #874).

05/13/2023 11:50 pm - Jean-Baptiste BUTEAUD
Bonjour,

Je viens d'essayer la derniere version 1.6.0+git20230425120755-1, c'est top, les bug 873 et 874 sont bien résolus :
- Plus de probléme de refresh apres le traitement des scans
- Plus besoin de forcer la relecture des codes barre pour qu'ils soient lus et présents dans I'export

Encore merci pour la correction !

06/05/2025 08:34 am - Alexis Bienveniie

- Status changed from New to Closed

- % Done changed from 0 to 100

Files

prob-refresh.wmv 793.8 kB 03/13/2023 Jean-Baptiste BUTEAUD
AMC-DEBUG.log 144.7 kB 03/14/2023 Jean-Baptiste BUTEAUD
AMC-DEBUG-bug.log 340.5 kB 03/23/2023 Frédéric Bréal
